Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Error while installing cinder-volume

I am following the guide to install openstack controller node http://docs.openstack.org/grizzly/basic-install/apt/content/basic-install_controller.html

I am getting following error while trying to install cinder-volume and the machine is x86 machine.

tgt : Depends: librdmacm1 (>= 1.0.15) but 1.0.14.1-2 is installed.

When I try to download and install librdmacm1 from http://packages.ubuntu.com/quantal/i386/librdmacm1/download OR http://packages.ubuntu.com/raring/i386/librdmacm1/download

I am getting an error "is not a debian format archive" How to Fix this?

-- dpkg -i librdmacm1_1.0.15-1_i386.deb

dpkg-deb: error: `librdmacm1_1.0.15-1_i386.deb' is not a debian format archive dpkg: error processing librdmacm1_1.0.15-1_i386.deb (--install): subprocess dpkg-deb --control returned error exit status 2 Errors were encountered while processing: librdmacm1_1.0.15-1_i386.deb

--dpkg -i librdmacm1_1.0.16-1_i386.deb

dpkg-deb: error: `librdmacm1_1.0.16-1_i386.deb' is not a debian format archive dpkg: error processing librdmacm1_1.0.16-1_i386.deb (--install): subprocess dpkg-deb --control returned error exit status 2 Errors were encountered while processing: librdmacm1_1.0.16-1_i386.deb